Package org.eclipse.microprofile.openapi.apps.airlines.exception

# Class ReviewRejectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.microprofile.openapi.apps.airlines.exception.ReviewRejectedException

All Implemented Interfaces:
  `Serializable`

public class ReviewRejectedException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReviewRejectedException(String rejectionReason)`
`ReviewRejectedException(String rejectionReason, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReviewRejectedException

public ReviewRejectedException(String rejectionReason, Throwable cause)

### ReviewRejectedException

public ReviewRejectedException(String rejectionReason)